import * as React from 'react'
import { InputProp } from './interfaces'

export interface NumberInputProp extends InputProp {
    value: number
}

export const NumberInput = (props: NumberInputProp) => {
    const errorDiv = props.error
        ? <div className="alert-error">{props.error}</div>
        : <div></div>
    return (
        <div className="form-group">
            <input
                type="number"
                value={props.value}
                placeholder={props.placeHolder}
                className="form-control"
                onChange={props.onChange}
                />
            {errorDiv}
        </div>
    )
}

export default NumberInput