import * as React from 'react'
import { InputProp } from './interfaces'

export interface OptionValue {
    value: string | number
    text: string
}

export interface SelectInputProp extends InputProp {
    value: string
    options: Array<OptionValue>
}

export const SelectInput = (props: SelectInputProp) => {

    const options = props.options.map((o, index) => <option value={o.value} key={index} >{o.text}</option>)

    const errorDiv = props.error
        ? <div className="alert-error">{props.error}</div>
        : <div></div>

    return (
        <div className="form-group">
            <select
                name={props.name}
                value={props.value}
                onChange={props.onChange}>
                className="c-select"
                {options}
            </select>

            {errorDiv}
        </div>
    )
}

