import * as React from 'react'
import { InputProp } from './interfaces'

export interface TextInputProp extends InputProp {
    value: string
}

export const TextInput = (props: TextInputProp) => {
    const errorDiv = props.error
        ? <div className="alert-error">{props.error}</div>
        : <div></div>
    return (
        <div className="form-group">
            <input
                type="text"
                value={props.value}
                placeholder={props.placeHolder}
                className="form-control"
                onChange={props.onChange}
                />
            {errorDiv}
        </div>
    )
}

